ICG(1)

NAME
ICG - run the Trick Interface Code Generator

SYNOPSIS
ICG [-d] [-c] <data_structure_file_name.h>

ICG [-u] for measurement unit summary

DESCRIPTION
ICG structure_file.h invokes the Trick Interface Code Generator on the data structure and/or enumerated type definition file structure_file.h. ICG generates source code (in C) which is used by the Trick executive to perform input and output to/from the data structures defined in structure_file.h. ICG also generates catalog database entries for all data structures and enumerated types which it parses, and Hypertext Mark-up Language (HTML) which helps to document the data structures and enumerated types.

ICG should be executed from the directory containing structure_file.h. This may be the model directory itself, or a directory called include in the model directory. The catalog information, source code and HTML generated by ICG are placed in directories called catalog, io_src, and html, respectively, in the model directory.

ICG must be performed on all data structure files before the MIS(1) or make_build(1) processors are run. These two tools process all the source code files in the version directory, including those generated by ICG.

  Options

-d  Debug mode. ICG will echo structure_file.h to the screen as it is processed. This helps the user find errors in his structure definition file.

-c  Do not trap the common UNIX and USER signals. This feature allows a core to be dumped.

-u  Display units. ICG will display a list of the valid measurement units components. These are used in the measurement units fields of the parameter comments in a structure definition (.h) file.

FILES

io_src/io_structure_file.c
    The I/O code is put in files with names of the form: io_structure_file.c, one for each structure_file.h processed by ICG.

html/io_structure_file.h.html
    The HTML is put in files with names of the form: io_structure_file.h.html, one for each structure_file.h processed by ICG.

catalog/structures
    Contains database information about the data structures which is used by CP(1).

catalog/enumerated
    Contains database information about the enumerated data types which is used by CP(1).

catalog/depends
    Contains database information about which files depend on which other files. ICG inserts dependency information for header files, MIS(1) inserts dependency information for source code files. This information is used by CP(1).

${TRICK_HOME}/catalog/catalog
    Contains paths to all model catalog directories.

SEE ALSO
catalog(1), CP(1), make_build(1)

All Trick model developers and users should go through the tutorial found in the Trick Simulation Environment User Training Materials. The canonical reference for all Trick commands, files and utilities is the Trick Simulation Environment User's Guide. Information specific to a given release of Trick tools is contained in the Trick Simulation Environment Version Description for that release.

BUGS
Known bugs will be placed in the Version Description Document located in $TRICK_HOME/docs area. If you would like to report a bug, contact vetter@lincom-asg.com.

AUTHORS
The ICG command was written by Rob Bailey and is maintained by the Trick development staff. This man page was written by Rick Sykes, address all discrepancies to sykes@lincom-asg.com.